
# -*- coding: utf-8 -*-
from openerp.report import report_sxw
import time
from datetime import datetime, timedelta

class session_report(report_sxw.rml_parse):
    _name='report.session.report'
    def __init__(self, cr, uid, name, context=None):
        if context is None:
            context={}
        super(session_report, self).__init__(cr, uid, name, context=context)
        self.localcontext.update(
        {
            'time': time,
            'get_final_date': self._get_final_date,
                    })
        self.context = context

    def _get_final_date(self, o):
        print 'ENTRO EN EL FINAL DATE'
        date_object = datetime.strptime(o.start_date, '%Y-%m-%d %H:%M:00')
        date_object += timedelta(o.duration)
        print date_object.strftime('%Y-%m-%d %H:%M:00')
        return date_object.strftime('%Y-%m-%d %H:%M:00')

report_sxw.report_sxw('report.session.report',
                      'openacademy.session',
                      parser=session_report,
                      header='internal',
                      rml='addons/openacademy/report/session.rml'
                      
